package dao.entities;

import java.util.List;
import java.util.UUID;

import dao.Dao;
import entities.DataRepository;
import entities.Registry;
import entities.Researcher;
import entities.responses.IDLabelPair;
import models.dataset.criteria.Criteria;

public interface RegistryDao extends Dao<Registry, UUID> {

	List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();
	
	List<Registry> listBy(Criteria<Registry> criteria);

}