package dao.entities;

import java.util.List;
import java.util.UUID;

import dao.Dao;
import entities.DataRepository;
import entities.Service;
import entities.responses.IDLabelPair;
import models.dataset.criteria.Criteria;

public interface ServiceDao extends Dao<Service, UUID> {

	List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	List<Service> listBy(Criteria<Service> criteria);

}